# Type Alias BookmarkLink

type BookmarkLink = {
format?: `${BookmarkType}`;
targetId: number;
targetType: string;
}

- Defined in jamespot-user-api/src/types/bookmark.ts:62

##### Index

### Properties

format?
targetId
targetType

## Properties

### `Optional` format

format?: `${BookmarkType}`

- Defined in jamespot-user-api/src/types/bookmark.ts:65

### targetId

targetId: number

- Defined in jamespot-user-api/src/types/bookmark.ts:63

### targetType

targetType: string

- Defined in jamespot-user-api/src/types/bookmark.ts:64